# Location at

A decision block that checks if the device is at a location, geographic coordinate.

If the proceed option is set to Immediately, then check if the device is currently at the location without pausing the fiber. If set to When changed, then the fiber will pause until the device enters or leaves the location. Even with Immediately, the fiber may pause until a fresh location fix has been acquired.

In case of failure or poor accuracy try toggling the Google Play Services option in settings.

Using “task killer” apps or the Android 5+ “power save mode” may interfere with geofencing. The “doze” feature of Android 6+ may also cause geofencing to become unreliable. Try setting the following apps (if present) to “Not optimized” in the system Battery, Battery optimization (menu) settings:

- Automate
- Google Play services
- Google Services Framework
- Fused Location
- Maps (Google)
- Motorola Sensor Service

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Latitude — latitude of the location.
- Longitude — longitude of the location.
- Radius — radius, area surrounding the coordinate, default is 250 meters.
- Responsiveness — best-effort time of proceed When changed transitions, a shorter time may use more battery, ignored unless the Google Play Services option is enabled in settings, default is 30 seconds.